/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package colisoes;

import java.awt.Graphics;
import java.awt.Point;
import javaPlay.GameObject;
import javaPlay.Sprite;

/**
 *
 * @author Gefersom
 */
public class Player extends GameObject {
    private Sprite sprite; 

    public Player( )
    {
    }

    //Desenha o player na tela
    @Override
    public void draw(Graphics g) {
        sprite.draw(g, x, y);
    }

    //Seta um sprite para o player
    public void setSprite( Sprite sprite )
    {
        this.sprite = sprite;
    }


    //Retorna verdadeiro se o player colidiu com algum inimigo e false se isso não ocorreu
    public boolean colidiuInimigo( Point min1, Point max1, Point min2, Point max2 )
    {
        if( min1.x >= max2.x || max1.x <= min2.x)
            return false;
        if( min1.y >= max2.y || max1.y <= min2.y)
            return false;
        return true;
    }

    //Retorna verdadeiro se o player colidiu a parede false se isso não ocorreu
    public boolean colidiuParede( )
    {
        if ( (x == NumerosControle.BORDA_DIREITA) || (x == NumerosControle.BORDA_ESQUERDA) )
            return true;
        return false;
    }

     @Override
    public void step(long timeElapsed)
    {

    }
    
}
